%define __libtoolize /bin/true

%define name	ace
%define Name	ACE
%define version	5.4
%define release	2mdk

%define lib_major	5
%define lib_name_orig	%mklibname %{name}
%define lib_name	%{lib_name_orig}%{lib_major}

Summary:	ADAPTIVE Communication Environment
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
URL:		http://www.cs.wustl.edu/~schmidt/ACE.html
Source0:	http://deuce.doc.wustl.edu/ACE-5.4.tar.bz2
Patch0:		ACE-build.patch.bz2
License:	BSD-style
Group:		System/Libraries
BuildRequires:	openssl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich set
of reusable C++ wrapper facades and framework components that perform
common communication software tasks across a range of OS platforms. The
communication software tasks provided by ACE include event
demultiplexing and event handler dispatching, signal handling, service
initialization, interprocess communication, shared memory management,
message routing, dynamic (re)configuration of distributed services,
concurrent execution and synchronization.

%package -n %{lib_name}
Summary:        Main library for ACE (ADAPTIVE Communication Environment)
Group:          System/Libraries

%description -n %{lib_name}
This package contains the libraries needed to run programs dynamically linked
with ACE (ADAPTIVE Communication Environment).

%package -n %{lib_name}-devel
Group:		Development/C++
Summary:	Shared libraries and header files for ACE (ADAPTIVE Communication Environment)
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{lib_name} = %{epoch}:%{version}
Requires:	openssl-devel

%description -n %{lib_name}-devel
The %{name} package contains the shared libraries and header files needed for
developing ACE (ADAPTIVE Communication Environment) applications.

%package -n %{lib_name}-doc
Group:		Books/Howtos
Summary:        Documentation and examples for ACE (ADAPTIVE Communication Environment)

%description -n %{lib_name}-doc
Documentation and examples for ACE (ADAPTIVE Communication Environment).

%prep
%setup -q -n ACE_wrappers
%patch0 -p1

%build
mkdir -p objdir
cd objdir
CONFIGURE_TOP=.. %configure
%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

cd objdir
%makeinstall
cd ..

rm -f $RPM_BUILD_ROOT%{_bindir}/gperf
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gperf.1*
rm -f $RPM_BUILD_ROOT%{_infodir}/gperf.info*

rm -f $RPM_BUILD_ROOT%{_includedir}/%{name}/RMCast*

for i in ace/*.{cpp,h,i,inl} ace/CLASSIX/*.{cpp,h,i} ace/QoS/*.{cpp,h,i} \
ace/RMCast/*.{cpp,i,h} ace/SSL/*.{cpp,h,i,inl} ace/TMCast/*.{cpp,hpp} \
ace/os_include/*.h ace/os_include/**/*.h; do
  if [ ! -f $RPM_BUILD_ROOT%{_includedir}/%{name}/$i ]; then
    install -D -m 644 $i $RPM_BUILD_ROOT%{_includedir}/$i
  fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc ACE-INSTALL ACE-INSTALL.html AUTHORS ChangeLog COPYING FAQ PROBLEM-REPORT-FORM README THANKS TODO VERSION
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/ace-config
%{_mandir}/man1/ace-config.1*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/*.sh

%files -n %{lib_name}-doc
%defattr(0644,root,root,0755)
%doc docs examples

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%changelog
* Sat Feb 21 2004 David Walluck <walluck@linux-mandrake.com> 0:5.4-2mdk
- bzip2 source and patch
- apparently `make install' doesn't install all of the header files

* Sat Jan 31 2004 David Walluck <walluck@linux-mandrake.com> 0:5.4-1mdk
- release
